Page MenuHomePhabricator

Pasting text for a link label removes the link
Closed, ResolvedPublic1 Story Points

Description

How to experience this bug properly:

  1. Decide that you need a link to a Flow topic whose horrible URL nobody should ever have to type.
  2. Copy and paste the link into VisualEditor.
  3. Decide that nobody should even to have to read that dreadful URL. Maybe it should say something like "VisualEditor/Feedback topic on mediawiki.org". Copy that.
  4. Select the link (carefully inside the blue boundary box). Paste (must be pasted, not typed!) the desired link label.
  5. Hmm. That deleted my link.
  6. Undo to get the unreadable URL back. Select the link (cursor in the middle of the URL) and click the 'Edit' button in the context menu. That's hopeless; there's no 'add a label' option, beause it's the whole horrible URL rather than [1]. Also, there's no way to convert it to [1], which means that using [1] as workaround isn't possible.
  7. Select the horrible URL except for the first and last characters. Maybe I can paste it in the middle, and then backspace over the "h" (from the "https") and the last random character (in this case, "d").
  8. Nope, that didn't work. That gets two copies of the link, separated by plain text: "h" (with the gibberish link), "VisualEditor/Feedback on mediawiki.org" (plain text), and "d" (with its own copy of the gibberish link).
  9. Complain at the devs. Perhaps an unfortunate interaction between the new copypaste update and the link tool?
  10. File this bug.
  11. Make note to complain at @Quiddity again about how ugly those Flow URLs are. -----

See also:

Event Timeline

Whatamidoing-WMF raised the priority of this task from to Needs Triage.
Whatamidoing-WMF updated the task description. (Show Details)
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 18 2015, 6:27 PM

Oooh, yes, I was meaning to complain about this. In general it seems impossible to paste things inside annotations.

Quiddity updated the task description. (Show Details)Dec 18 2015, 9:32 PM
Quiddity set Security to None.
Jdforrester-WMF triaged this task as Normal priority.Jan 12 2016, 8:16 PM
Jdforrester-WMF edited a custom field.
Jdforrester-WMF moved this task from To Triage to TR0: Interrupt on the VisualEditor board.
Cirdan raised the priority of this task from Normal to High.Feb 8 2016, 6:32 PM
Cirdan added a subscriber: Cirdan.
Cirdan added a comment.EditedFeb 8 2016, 6:36 PM

This was raised as a blocking issue on de-WP [[de:Wikipedia_Diskussion:Meinungsbilder/VisualEditor_für_nicht_eingeloggte_und_neu_angemeldete_Benutzer#Wesentlicher_Schwachpunkt_des_VE|here]] and is very annoying and unintuitive for users, no matter whether they are experienced or newbies.

The only workaround so far is to never select a whole link, but only parts of it, and then afterwards remove the rest. I imagine an easy solution would be to allow emtpy links (bracket pairs) in VE and clean that up while saving.

Cirdan awarded a token.Feb 8 2016, 6:36 PM
Luke081515 added a subscriber: Luke081515.

(this is the correct link). There is a community survey in preparation to enable visual editor for IP and new users, to let newbies participate more easier. But at the moment this issue is handled as a blocker.

Elitre added a subscriber: Elitre.Feb 8 2016, 6:53 PM
MartinK added a subscriber: MartinK.
MGChecker added a subscriber: MGChecker.
Krenair added a subscriber: Krenair.Feb 9 2016, 4:09 PM

Thinking of digging into this, is this up for grabs?

Change 283835 had a related patch set uploaded (by Ferdbold):
[WIP] Merge surrounding annotations to copypaste

https://gerrit.wikimedia.org/r/283835

MGChecker updated the task description. (Show Details)Jun 5 2016, 12:48 PM

Change 307434 had a related patch set uploaded (by Esanders):
Don't remove selected content in beforePaste

https://gerrit.wikimedia.org/r/307434

Change 307434 merged by jenkins-bot:
Don't remove selected content in beforePaste

https://gerrit.wikimedia.org/r/307434

Change 283835 abandoned by Jforrester:
Merge surrounding annotations to copypaste

Reason:
Done in I1e1fee240d9ed instead.

https://gerrit.wikimedia.org/r/283835